/**
 * This file adds some LIVE to the Theme Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and 
 * then make any necessary changes to the page using jQuery.
 */
( function( $ ) {
	
	//Update the site description in real time...
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( newval ) {
			$( '.site-description' ).html( newval );
		} );
	} );

	//Update site background color...
	wp.customize( 'background_color', function( value ) {
		value.bind( function( newval ) {
			$('body').css('background-color', newval );
		} );
	} );
	
	//Update Widget background color...
	wp.customize( 'vn_widget_bg', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar .widget').css('background-color', newval );
		} );
	} );

	//Update Widget border Width...
	wp.customize( 'vn_widget_border_width', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar .widget').css('border-width', newval );
		} );
	} );
	
	//Update Widget Border Color...
	wp.customize( 'vn_widget_border_color', function( value ) {
		value.bind( function( newval ) {
			$('.sidebar .widget').css('border-color', newval );
		} );
	} );
	
	//Update footer background color...
	wp.customize( 'vn_footer_bg', function( value ) {
		value.bind( function( newval ) {
			$('.footer').css('background', newval );
		} );
	} );
	
	//Update footer background color...
	wp.customize( 'vn_fw_title_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer h4').css('color', newval );
		} );
	} );
	
	//Update footer background color...
	wp.customize( 'vn_fw_content_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer .widget').css('color', newval );
		} );
	} );
	
	//Update footer widget link color...
	wp.customize( 'vn_fw_link_color', function( value ) {
		value.bind( function( newval ) {
			$('.footer .widget a').css('color', newval );
		} );
	} );
	
	//Update copyrights text color...
	wp.customize( 'vn_copyrights_color', function( value ) {
		value.bind( function( newval ) {
			$('.copyrights *').css('color', newval );
		} );
	} );
	
	//Update Links color...
	wp.customize( 'vn_links_color', function( value ) {
		value.bind( function( newval ) {
			$('a').css('color', newval );
		} );
	} );
	
	//Update Links Hover color...
	wp.customize( 'vn_links_color_hover', function( value ) {
		value.bind( function( newval ) {
			$('a:hover').css('color', newval );
		} );
	} );
	
	//Update p color...
	wp.customize( 'vn_p_color', function( value ) {
		value.bind( function( newval ) {
			$('body, p').css('color', newval );
		} );
	} );
	//Update p font-size...
	wp.customize( 'vn_p_font_size', function( value ) {
		value.bind( function( newval ) {
			$('body, p').css('font-size', newval + 'px');
		} );
	} );
	//Update p font-weight...
	wp.customize( 'vn_p_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('body, p').css('font-weight', newval);
		} );
	} );
	//Update p letter-spacing...
	wp.customize( 'vn_p_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('body, p').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update p text-transform...
	wp.customize( 'vn_p_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('p').css('text-transform', newval );
		} );
	} );
	
	
	
	//Update h1 color...
	wp.customize( 'vn_h1_color', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('color', newval );
		} );
	} );
	//Update h1 font-size...
	wp.customize( 'vn_h1_font_size', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('font-size', newval + 'px');
		} );
	} );
	//Update h1 font-weight...
	wp.customize( 'vn_h1_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('font-weight', newval);
		} );
	} );
	//Update h1 letter-spacing...
	wp.customize( 'vn_h1_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update h1 text-transform...
	wp.customize( 'vn_h1_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('h1').css('text-transform', newval );
		} );
	} );
	
	
	//Update h2 color...
	wp.customize( 'vn_h2_color', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('color', newval );
		} );
	} );
	//Update h2 font-size...
	wp.customize( 'vn_h2_font_size', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('font-size', newval + 'px');
		} );
	} );
	//Update h2 font-weight...
	wp.customize( 'vn_h2_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('font-weight', newval);
		} );
	} );
	//Update h2 letter-spacing...
	wp.customize( 'vn_h2_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update h2 text-transform...
	wp.customize( 'vn_h2_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('h2').css('text-transform', newval );
		} );
	} );
	
	
	//Update h3 color...
	wp.customize( 'vn_h3_color', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('color', newval );
		} );
	} );
	//Update h3 font-size...
	wp.customize( 'vn_h3_font_size', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('font-size', newval + 'px');
		} );
	} );
	//Update h3 font-weight...
	wp.customize( 'vn_h3_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('font-weight', newval);
		} );
	} );
	//Update h3 letter-spacing...
	wp.customize( 'vn_h3_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update h3 text-transform...
	wp.customize( 'vn_h3_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('h3').css('text-transform', newval );
		} );
	} );
	
	
	//Update h4 color...
	wp.customize( 'vn_h4_color', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('color', newval );
		} );
	} );
	//Update h4 font-size...
	wp.customize( 'vn_h4_font_size', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('font-size', newval + 'px');
		} );
	} );
	//Update h4 font-weight...
	wp.customize( 'vn_h4_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('font-weight', newval);
		} );
	} );
	//Update h4 letter-spacing...
	wp.customize( 'vn_h4_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update h4 text-transform...
	wp.customize( 'vn_h4_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('h4').css('text-transform', newval );
		} );
	} );
	
	
	//Update h5 color...
	wp.customize( 'vn_h5_color', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('color', newval );
		} );
	} );
	//Update h5 font-size...
	wp.customize( 'vn_h5_font_size', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('font-size', newval + 'px');
		} );
	} );
	//Update h5 font-weight...
	wp.customize( 'vn_h5_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('font-weight', newval);
		} );
	} );
	//Update h5 letter-spacing...
	wp.customize( 'vn_h5_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update h5 text-transform...
	wp.customize( 'vn_h5_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('h5').css('text-transform', newval );
		} );
	} );
	
	
	//Update h6 color...
	wp.customize( 'vn_h6_color', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('color', newval );
		} );
	} );
	//Update h6 font-size...
	wp.customize( 'vn_h6_font_size', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('font-size', newval + 'px');
		} );
	} );
	//Update h6 font-weight...
	wp.customize( 'vn_h6_font_weight', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('font-weight', newval);
		} );
	} );
	//Update h6 letter-spacing...
	wp.customize( 'vn_h6_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('letter-spacing', newval + 'px');
		} );
	} );
	//Update h6 text-transform...
	wp.customize( 'vn_h6_text_transform', function( value ) {
		value.bind( function( newval ) {
			$('h6').css('text-transform', newval );
		} );
	} );
	
	
} )( jQuery );