<?php
/*
 * Hooks use to output content throughout the theme
 *
 * @package Vantage
 * @since Vantage 1.1
 */

// Placeholder Topmenu when Supermenu inactive
function vn_placeholder_topmenu() {
  if ( !vn_supermenu_is_active() ) { //Check if Supermenu active or throw a basic nav.?>
  <nav class="navbar navbar-default" role="navigation">
    <div class="vn__container">
      <div class="navbar-header">
        <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
          <img style="max-height: 25px;" src="<?php echo get_template_directory_uri().'/assets/img/logo/vantage-icon-black.png';?>">
        </a>
      </div>
      <?php
        wp_nav_menu( array(
          'menu'              => 'primary',
          'theme_location'    => 'vn-primary',
          'depth'             => 2,
          'container'         => 'div',
          'container_class'   => 'collapse navbar-collapse',
          'container_id'      => 'bs-example-navbar-collapse-1',
          'menu_class'        => 'nav navbar-nav navbar-right',
          'fallback_cb'       => 'VN_Bootstrap_Navwalker::fallback',
          'walker'            => new VN_Bootstrap_Navwalker())
        );?>
    </div>
  </nav><?php
  }
}
add_action( 'vn_after_body_opens', 'vn_placeholder_topmenu', 10 ); 

// Live Composer Header Output
function vn_lc_header_output() {
  if ( vn_lc_is_active() ) {
    echo dslc_hf_get_header(); 
  }
}
add_action( 'vn_after_body_opens', 'vn_lc_header_output', 15 );

// Count Post Views
function vn_post_views() {
  if ( is_single() ) {
    vn_set_post_views(get_the_ID());
  }
}
add_action( 'vn_after_body_opens', 'vn_post_views', 17 );

// Live Composer Footer Output
function vn_lc_footer_output() {
  if ( vn_lc_is_active() ) {
    echo dslc_hf_get_footer(); 
  }
}
add_action( 'vn_before_body_closes', 'vn_lc_footer_output', 15 );