<?php
/*
 * Customizer Control: Range Slider
 * 
 * @package Vantage
 * @since Vantage 1.0 
 *
 * Inspired by Kirki & Make
 * http://kirki.org/
 * https://wordpress.org/themes/make/
 */
if ( class_exists( 'WP_Customize_Control' ) ) :
class VN_Customize_Range_Control extends WP_Customize_Control {
  public $type = 'range';
  public $mode = 'slider';
  public function enqueue() { 
    wp_enqueue_script( 'jquery-ui-slider' );
  }
  
  protected function render() {
    $id    = 'customize-control-' . str_replace( '[', '-', str_replace( ']', '', $this->id ) );
    $class = 'customize-control customize-control-' . $this->type . ' customize-control-' . $this->type . '-' . $this->mode;
    ?>
    <li id="<?php echo esc_attr( $id ); ?>" class="<?php echo esc_attr( $class ); ?>">
      <?php $this->render_content(); ?>
    </li><?php
  }
  
  protected function render_content() { ?>
    <label>
    <?php if ( ! empty( $this->label ) ) : ?>
      <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <?php endif;
    if ( ! empty( $this->description ) ) : ?>
      <span class="description customize-control-description"><?php echo esc_attr($this->description); ?></span>
    <?php endif; ?>
      <div id="slider_<?php echo esc_attr($this->id); ?>" class="vn-range-slider"></div>
      <input id="input_<?php echo esc_attr($this->id); ?>" class="vn-control-range" type="number" <?php esc_attr($this->input_attrs()); ?> value="<?php echo esc_attr( $this->value() ); ?>" <?php $this->link(); ?> />
    </label>
    <?php
  }
}
endif;