<?php
/**
 * Customizer Library
 *
 * @package        VN_Customizer_Library
 * @author         Devin Price, The Theme Foundry
 * @license        GPL-2.0+
 * @version        1.3.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Continue if the VN_Customizer_Library isn't already in use.
if ( ! class_exists( 'VN_Customizer_Library' ) ) : // Helper functions to output the customizer controls.
{

	/**
	 * Class wrapper with useful methods for interacting with the theme customizer.
	 */
	class VN_Customizer_Library {

		/**
		 * The one instance of VN_Customizer_Library.
		 *
		 * @since 1.0.0.
		 *
		 * @var   vn_customizer_library_Styles    The one instance for the singleton.
		 */
		private static $instance;

		/**
		 * The array for storing $options.
		 *
		 * @since 1.0.0.
		 *
		 * @var   array    Holds the options array.
		 */

		public $options = array();

		/**
		 * Instantiate or return the one VN_Customizer_Library instance.
		 *
		 * @since  1.0.0.
		 *
		 * @return VN_Customizer_Library
		 */
		public static function instance() {
			if ( is_null( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		public function add_options( $options = array() ) {
			$this->options = array_merge( $options, $this->options );
		}

		public function get_options() {
			return $this->options;
		}

	}
}

endif;