<?php 
/**
 * The Archive Template
 *
 * @package Vantage
 * @mode Blogger
 * @since Vantage 1.0
 */
get_header(); 
?>
<div class="vn__archive_wrapper">
  
  <h4 class="vn__section_title">
    <div class="vn__title_inner vn__container"><?php the_archive_title(); ?></div>
  </h4>

  <div class="vn__container">
    <div class="vn__row">
      <div class="vn__content_wrapper col-lg-9 col-md-9 col-sm-9 col-xs-12">
      <?php if ( have_posts() ) : ?>
        <?php while ( have_posts() ) : the_post(); ?>     
          <article id="<?php the_ID(); ?>" <?php post_class('vn__post--simple'); ?>>
            <a href="<?php echo the_permalink();?>" class="vn__post_link">
              <div class="vn__thumb vn__thumb--archive">
                <img src="<?php echo esc_url(vn_get_thumbnail_url()); ?>" class="img-responsive">
              </div>
              <div class="vn__post_intro">
                <date><?php echo get_the_date();?></date>
                <h3><?php echo the_title();?></h3>
                <?php echo the_excerpt();?>
               </div>
            </a>
          </article>
        <?php endwhile; ?>
      <?php else : ?>
        <?php esc_html_e( 'Sorry, no posts here.', 'vantage-bb' ); ?>
      <?php endif; ?>	
      <?php vn_pagination(); ?>
      </div>
      
      <div class="vn__sidebar vn__sidebar--right col-lg-3 col-md-3 col-sm-3 col-xs-12">
        <?php dynamic_sidebar( 'vn-sidebar-right' ); ?>
      </div>
    </div><!--.vn__row-->
  </div>

</div><!--.vn__archive_wrapper-->	
<?php get_footer(); ?>