<?php 
/**
 * The Search Template
 *
 * @package Vantage
 * @mode Blogger
 * @since Vantage 1.0
 */
get_header(); 
?>
<div class="vn__search_wrapper">
  <div class="vn__title_wrapper vn__title_wrapper--post text--center">
    <h1 class="vn__title"><?php printf( __( 'Search Results for: %s', 'vantage-bb' ), get_search_query() ); ?></h1>
  </div>
  
  <div class="vn__content_wrapper">
    <?php if ( have_posts() ) : ?>
      <?php while ( have_posts() ) : the_post(); ?>
        <div id="postid<?php echo get_the_ID();?>" class="vn__post vn__post--archive">
          <div class="vn__title_wrapper vn__title_wrapper--post" style="background-image: url('<?php echo esc_url(vn_get_thumbnail_url()); ?>');background-repeat: no-repeat;background-size: cover;background-position: center center;">
            <?php get_template_part( 'mode/blogger/_partial-title', get_post_format() );?>
            <div class="text--center">
              <a href="#" class="vn__btn vn__btn--md vn__btn--transparent vn__post_toggler vn__post_toggler vn__quickread--text"><?php esc_html_e('QUICK READ', 'vantage-bb');?></a>
              <a href="#" class="vn__btn vn__btn--md vn__btn--transparent vn__post_toggler vn__collapse--text"><?php esc_html_e('COLLAPSE ARTICLE', 'vantage-bb');?></a>
              <a href="<?php echo the_permalink();?>" class="vn__btn vn__btn--md vn__btn--transparent  vn__visitarticle--text"><?php esc_html_e('VISIT ARTICLE', 'vantage-bb');?></a>
            </div>
          </div><!--.vn__title_wrapper-->
          <div class="vn__content vn__content--archive">
            <?php the_content();?>
          </div>
        </div>
      <?php endwhile; ?>
    <?php else : ?>
      <?php esc_html_e( 'Sorry, no posts here.', 'vantage-bb' ); ?>
    <?php endif; ?>	
    <?php vn_pagination(); ?>
  </div><!--.vn__content_wrapper-->
  
</div><!--.vn__archive_wrapper-->	
<?php get_footer(); ?>