<?php
/**
 * The Index Template
 *
 * @package Vantage
 * @mode Photographer
 * @since Vantage 1.0
 */
get_header();
?>
<div class="vn__index_wrapper vn__archive_wrapper">

  <?php 
  //Overlays
  if ( get_theme_mod('vn_ph_maybe_overlays', 'yes') == 'yes' ) {
    get_template_part( 'mode/photographer/_partial-overlays');
  }?>
  
  <div class="vn__slide_title_wrapper vn_style_1"><?php 
  // Title Box
  $args = array ('paged'=>$paged,'post_type' => get_theme_mod('vn_ph_post_type', 'post'),);
  $query = new WP_Query( $args );
  if ( $query->have_posts() ) {
    while ( $query->have_posts() ) {
      $query->the_post(); ?>
      <a id="<?php echo get_the_ID();?>" class="vn__slide_title" href="<?php echo the_permalink();?>">
        <h1><span class="vn__slide_title_inner"><?php echo the_title();?></span></h1>
      </a><?php 
    } 
  } else {
    esc_html_e( 'Sorry, no posts here.', 'vantage-bb' );
  } ?>
  </div><!--.vn__slide_title_wrapper-->

  <div class="vn__content_wrapper vn__slider vn__slider--main <?php echo esc_attr(get_theme_mod('vn_ph_post_type', 'post'));?>">
    <div class="vn__slider_inner"><?php 
      $args = array ('paged'=>$paged,'post_type' => get_theme_mod('vn_ph_post_type', 'post'),);
  		$query = new WP_Query( $args );
  		if ( $query->have_posts() ) {
  		  while ( $query->have_posts() ) {
          $query->the_post(); 
          get_template_part( 'mode/photographer/_partial-slide', get_post_format() );
        } 
      } else {
        esc_html_e( 'Sorry, no posts here.', 'vantage-bb' );
      } ?>
    </div><!--.vn__slider_inner-->
  </div><!--.vn__content_wrapper-->
  
  <?php if ( get_theme_mod('vn_ph_slider_effect', 'vn_slider_effect_1') == 'yes' ) { ?>
  <div class="vn__cursor_stalker"></div>
  <?php } ?>
  
</div><!--.vn__archive_wrapper-->
<?php get_footer(); ?>